package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares DETs' {@link BOMLineHolder}s.
 */
public class DetBLComparator extends PartBLComparator {

    private static final long serialVersionUID = 7467086955431692767L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new DetComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());
    }

}
